Bug 1031469 - transaction-bom doesn't resolve org.hornetq:hornetq-journal:jar:2.3.11.Final-redhat-1
transaction-bom doesn't resolve org.hornetq:hornetq-journal:jar:2.3.11.Final-...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ---
: EAP 6.3.0
Assigned To: jboss-set
Nikoleta Ziakova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 23:07 EST by Lin Gao
Modified: 2017-10-09 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lin Gao 2013-11-17 23:07:05 EST
Description of problem:


Version-Release number of selected component (if applicable): 6.2.0.CR2


How reproducible:

Run mvn -U org.jboss.maven.plugins:maven-qstools-plugin:1.3.1.Final:bom-check on EAP 6.2.0.CR2 Boms


Steps to Reproduce:
1. Checkout https://github.com/jboss-developer/jboss-eap-boms
2. Change to 6.2.x branch: git checkout 6.2.x 
3. Run: mvn -U org.jboss.maven.plugins:maven-qstools-plugin:1.3.1.Final:bom-check

Actual results:
failed: Unable to collect/resolve dependency tree for a resulution due to: Could not find artifact org.hornetq:hornetq-journal:jar:2.3.11.Final-redhat-1

Expected results:
All Dependencies were resolved


Additional info:

Jenkins job: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jboss-boms-check-for-eap-6.2.x/26/

Error message:

[INFO] Building JBoss Java EE 6 Specification APIs with Transactions 6.2.0-build-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-qstools-plugin:1.3.1.Final:bom-check (default-cli) @ jboss-javaee-6.0-with-transactions ---
[INFO] Verifying if the dependencies on project's Dependency Management section are resolvable
[INFO] The following dependencies where NOT resolved:
[INFO] Unable to collect/resolve dependency tree for a resulution due to: The following artifacts could not be resolved: org.hornetq:hornetq-journal:jar:2.3.11.Final-redhat-1, org.hornetq:hornetq-commons:jar:2.3.11.Final-redhat-1: Could not find artifact org.hornetq:hornetq-journal:jar:2.3.11.Final-redhat-1 in eap6-mirror-setting (file:///mnt/hudson_workspace/workspace/jboss-boms-check-for-eap-6.2.x/jboss-eap-6.2.0.GA-maven-repository), caused by: Could not find artifact org.hornetq:hornetq-journal:jar:2.3.11.Final-redhat-1 in eap6-mirror-setting (file:///mnt/hudson_workspace/workspace/jboss-boms-check-for-eap-6.2.x/jboss-eap-6.2.0.GA-maven-repository)
Comment 1 Lin Gao 2013-11-18 00:38:27 EST
The transaction bom defines the following dependency:

            <!-- The XTS api needed to use WS-TX -->
            <dependency>
                <groupId>org.jboss.jbossts.xts</groupId>
                <artifactId>jbossxts</artifactId>
                <version>${version.org.jboss.jbossts.jbossjts}</version>
                <classifier>api</classifier>
                <scope>provided</scope>
                <exclusions>
                    <exclusion>
                        <groupId>org.hornetq</groupId>
                        <artifactId>hornetq-core</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>org.jboss.logging</groupId>
                        <artifactId>jboss-logging-spi</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

where the *version.org.jboss.jbossts.jbossjts* is *4.17.15.Final-redhat-2* in this case.

It is very strange that the org.hornetq:hornetq-journal is needed for org.jboss.jbossts.xts:jbossxts:api, I checked the sources from: http://download.eng.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/latest/maven/org/jboss/jbossts/xts/jbossxts/4.17.15.Final-redhat-2/jbossxts-4.17.15.Final-redhat-2-api-sources.jar, there are no hornetq code references at all.

Note You need to log in before you can comment on or make changes to this bug.